%define	upstream_name	 File-Find-Rule
%define upstream_version 0.33

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Alternative interface to File::Find
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Number::Compare)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Glob) >= 0.70.0
BuildArch:  noarch

%description 
File::Find::Rule is a friendlier interface to File::Find. It allows you to
build rules which specify the desired files and directories.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%doc Changes META.yml
%{perl_vendorlib}/File
%{_mandir}/*/*
%{_bindir}/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.330.0-2.mga3
+ Revision: 367216
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 jquelin <jquelin> 0.330.0-1.mga2
+ Revision: 148061
- update to 0.33

* Sat Jan 22 2011 jquelin <jquelin> 0.320.0-1.mga1
+ Revision: 31984
- mageia rebuild
- imported package perl-File-Find-Rule

